diff --git a/KitchenSink/Resources/app.js b/KitchenSink/Resources/app.js
index 3c6a771..dd8ca1d 100644
--- a/KitchenSink/Resources/app.js
+++ b/KitchenSink/Resources/app.js
@@ -121,7 +121,7 @@ var messageWin = Titanium.UI.createWindow({
 	Titanium.UI.PORTRAIT,
 	Titanium.UI.UPSIDE_PORTRAIT,
 	Titanium.UI.LANDSCAPE_LEFT,
-	Titanium.UI.LANDSCAPE_RIGHT,
+	Titanium.UI.LANDSCAPE_RIGHT
 	]
 });
 var messageView = Titanium.UI.createView({
@@ -268,14 +268,13 @@ function showIndicator()
 	indWin.add(message);
 	indWin.open();
 	actInd.show();
-
-};
+}
 
 function hideIndicator()
 {
 	actInd.hide();
 	indWin.close({opacity:0,duration:500});
-};
+}
 
 //
 // Add global event handlers to hide/show custom indicator
diff --git a/KitchenSink/Resources/examples/animation_points.js b/KitchenSink/Resources/examples/animation_points.js
index 32c3911..067a521 100644
--- a/KitchenSink/Resources/examples/animation_points.js
+++ b/KitchenSink/Resources/examples/animation_points.js
@@ -26,6 +26,11 @@ var l = Ti.UI.createLabel({
 
 win.add(l);
 
+var interval = setInterval(function()
+{
+	l.text = 'center x: ' + circle.animatedCenter.x + ' y: ' + circle.animatedCenter.y;
+},1000);
+
 var b = Ti.UI.createButton({
 	title:'Stop Animation',
 	height:30,
@@ -40,8 +45,3 @@ circle.animate(a, function()
 {
 	clearInterval(interval);
 });
-
-var interval = setInterval(function()
-{
-	l.text = 'center x: ' + circle.animatedCenter.x + ' y: ' + circle.animatedCenter.y;
-},1000)
\ No newline at end of file
diff --git a/KitchenSink/Resources/examples/basic_animation.js b/KitchenSink/Resources/examples/basic_animation.js
index f5112d3..4ed6888 100644
--- a/KitchenSink/Resources/examples/basic_animation.js
+++ b/KitchenSink/Resources/examples/basic_animation.js
@@ -30,38 +30,6 @@ circle.addEventListener('touchmove', function(e)
 	circle.animate({center:{x:newX,y:newY}, duration:1}); 
 });
 
-var mode = 0;
-circle.addEventListener('click', function()
-{
-	switch(mode)
-	{
-		case 0:
-		{
-			firstAnimation();
-			mode++;
-			break;
-		}
-		case 1:
-		{
-			secondAnimation();
-			mode++
-			break;
-		}
-		case 2:
-		{
-			thirdAnimation();
-			mode++
-			break;
-		}
-		case 3:
-		{
-			fourthAnimation();
-			mode=0;
-			break;
-		}
-
-	}
-});
 
 //
 // ANIMATION FUNCTIONS
@@ -80,10 +48,9 @@ function firstAnimation()
 	circle.animate({opacity:0,transform:t,duration:500}, function()
 	{
 		var t = Ti.UI.create2DMatrix();
-
-		circle.animate({opacity:1,transform:t,duration:500})
+		circle.animate({opacity:1,transform:t,duration:500});
 	});
-};
+}
 
 // background color - use animation object
 function secondAnimation()
@@ -105,24 +72,23 @@ function secondAnimation()
 	{
 		Ti.API.info('IN START');
 		label.text = 'Animation started';
-
-	})
+	});
 
 	//
 	// ANIMATIONS SUPPORT A COMPLETE EVENT
 	//
 	a.addEventListener('complete', function()
 	{
-		Ti.API.info('IN COMPLETE')
+		Ti.API.info('IN COMPLETE');
 		label.text = 'Animation completed';
 		circle.animate(b);
 
 		setTimeout(function()
 		{
-			label.text = 'Click circle repeatedly to animate or drag window'
-		},2000)
+			label.text = 'Click circle repeatedly to animate or drag window';
+		}, 2000);
 	});
-};
+}
 
 // animate the top and right property
 function thirdAnimation()
@@ -131,7 +97,7 @@ function thirdAnimation()
 	{
 		circle.animate({top:0,left:0, duration:500});
 	});
-};
+}
 
 // animate the center point object
 function fourthAnimation()
@@ -144,6 +110,34 @@ function fourthAnimation()
 			{
 				circle.animate({center:{x:150,y:60, duration:1000}});
 			});
-		})
 	});
-};
+	});
+}
+
+var mode = 0;
+circle.addEventListener('click', function()
+{
+	switch(mode)
+	{
+		case 0:
+			firstAnimation();
+			mode++;
+			break;
+
+		case 1:
+			secondAnimation();
+			mode++;
+			break;
+
+		case 2:
+			thirdAnimation();
+			mode++;
+			break;
+
+		case 3:
+			fourthAnimation();
+			mode = 0;
+			break;
+	}
+});
+
diff --git a/KitchenSink/Resources/examples/bonjour.js b/KitchenSink/Resources/examples/bonjour.js
index 089e472..157af0b 100644
--- a/KitchenSink/Resources/examples/bonjour.js
+++ b/KitchenSink/Resources/examples/bonjour.js
@@ -6,8 +6,8 @@ var bonjourSocket = Titanium.Network.createTCPSocket({
 });
 
 bonjourSocket.addEventListener('read', function(e) {
-	var remoteSocket = e['from'];
-	var dataStr = e['data'].text;
+	var remoteSocket = e.from;
+	var dataStr = e.data.text;
 	if (dataStr == 'req') {
 		bonjourSocket.write('Hello, from '+Titanium.Platform.id, remoteSocket);
 	}
@@ -63,14 +63,21 @@ var tableView = Titanium.UI.createTableView({
 });
 
 tableView.addEventListener('click', function(r) {
-	var service = r['rowData'].service;
+	var service = r.rowData.service;
 	service.socket.write('req');
 });
 
+var bonjourListener = function (x) {
+  Titanium.UI.createAlertDialog({
+    title:'Bonjour message!',
+    message:x.data.text
+  }).show();
+};
+
 var services = null;
 updateUI = function(e) {
 	var data = [];
-	services = e['services'];
+	services = e.services;
 	
 	for (var i=0; i < services.length; i++) {
 		var service = services[i];
@@ -80,12 +87,7 @@ updateUI = function(e) {
 		});
 		
 		service.resolve();
-		service.socket.addEventListener('read', function(x) {
-			Titanium.UI.createAlertDialog({
-				title:'Bonjour message!',
-				message:x['data'].text
-			}).show();
-		});
+		service.socket.addEventListener('read', bonjourListener);
 		service.socket.connect();
 		
 		data.push(row);
@@ -98,7 +100,7 @@ updateUI = function(e) {
 	}
 	
 	tableView.setData(data);
-}
+};
 
 serviceBrowser.addEventListener('updatedServices', updateUI);
 
@@ -119,7 +121,7 @@ Titanium.UI.currentWindow.addEventListener('close', function(e) {
 		if (service.socket.isValid()) {
 			service.socket.close();
 		}
-		Titanium.API.info('Closed socket to service '+service.name+"...");
+		Titanium.API.info('Closed socket to service '+service.name+'...');
 	}
 });
 
diff --git a/KitchenSink/Resources/examples/button.js b/KitchenSink/Resources/examples/button.js
index f1193f6..4c46a32 100644
--- a/KitchenSink/Resources/examples/button.js
+++ b/KitchenSink/Resources/examples/button.js
@@ -47,7 +47,6 @@ b3.addEventListener('click', function()
 	switch (state)
 	{
 		case 0:
-		{
 			b3.enabled=false;
 			b3.title = 'I am Disabled';
 			state++;
@@ -59,9 +58,8 @@ b3.addEventListener('click', function()
 			},1000);
 			
 			break;
-		}
+
 		case 1:
-		{
 			b3.font = {fontSize:25,fontFamily:'Marker Felt', fontWeight:'bold'};
 			b3.title = 'I am red';
 			b3.backgroundImage = '../images/BUTT_red_off.png';
@@ -69,17 +67,14 @@ b3.addEventListener('click', function()
 			b3.color = '#222';
 			state++;
 			break;
-		}
+
 		case 2:
-		{
 			b3.width = 200;
 			b3.color = '#fff';
 			b3.title = 'White text';
 			state=0;
 			break;
 		}
-
-	}
 });
 
 var b4 = Titanium.UI.createButton({
diff --git a/KitchenSink/Resources/examples/camera_basic.js b/KitchenSink/Resources/examples/camera_basic.js
index 31a9b6e..6680137 100644
--- a/KitchenSink/Resources/examples/camera_basic.js
+++ b/KitchenSink/Resources/examples/camera_basic.js
@@ -40,5 +40,5 @@ Titanium.Media.showCamera({
 	},
 	saveToPhotoGallery:true,
 	allowEditing:true,
-	mediaTypes:[Ti.Media.MEDIA_TYPE_VIDEO,Ti.Media.MEDIA_TYPE_PHOTO],
+	mediaTypes:[Ti.Media.MEDIA_TYPE_VIDEO,Ti.Media.MEDIA_TYPE_PHOTO]
 });
diff --git a/KitchenSink/Resources/examples/camera_video.js b/KitchenSink/Resources/examples/camera_video.js
index 813399f..f6889a5 100644
--- a/KitchenSink/Resources/examples/camera_video.js
+++ b/KitchenSink/Resources/examples/camera_video.js
@@ -23,7 +23,7 @@ var cameraFlash = Ti.UI.createButton({
 	height:40,
 	width:80,
 	backgroundImage:"../images/BUTT_drk_on.png",
-	font:{fontSize:16,fontWeight:'bold',fontFamily:'Helvetica Neue'},
+	font:{fontSize:16,fontWeight:'bold',fontFamily:'Helvetica Neue'}
 });
 overlay.add(cameraFlash);
 
@@ -56,18 +56,10 @@ var cameraType = Ti.UI.createButton({
 	height:40,
 	width:80,
 	backgroundImage:"../images/BUTT_drk_on.png",
-	font:{fontSize:16,fontWeight:'bold',fontFamily:'Helvetica Neue'},
+	font:{fontSize:16,fontWeight:'bold',fontFamily:'Helvetica Neue'}
 });
 
-var cameras = Ti.Media.availableCameras;
-for (var c=0;c<cameras.length;c++)
-{
-	// if we have a rear camera ... we add switch button
-	if (cameras[c]==Ti.Media.CAMERA_REAR)
-	{
-		overlay.add(cameraType);
-
-		cameraType.addEventListener('click',function()
+var cameraListener = function()
 		{
 			if (Ti.Media.camera == Ti.Media.CAMERA_FRONT)
 			{
@@ -79,7 +71,17 @@ for (var c=0;c<cameras.length;c++)
 				cameraType.title = "rear";
 				Ti.Media.switchCamera(Ti.Media.CAMERA_FRONT);
 			}
-		});
+};
+
+var cameras = Ti.Media.availableCameras;
+for (var c=0;c<cameras.length;c++)
+{
+	// if we have a rear camera ... we add switch button
+	if (cameras[c]==Ti.Media.CAMERA_REAR)
+	{
+		overlay.add(cameraType);
+
+		cameraType.addEventListener('click', cameraListener);
 		break;
 	}
 }
diff --git a/KitchenSink/Resources/examples/contacts_add.js b/KitchenSink/Resources/examples/contacts_add.js
index 1e8ae54..017fd87 100644
--- a/KitchenSink/Resources/examples/contacts_add.js
+++ b/KitchenSink/Resources/examples/contacts_add.js
@@ -10,14 +10,14 @@ var v1 = Ti.UI.createView({
 var l1 = Ti.UI.createLabel({
 	text:'First:',
 	top:0,
-	left:0,
+	left:0
 });
 var f1 = Ti.UI.createTextField({
 	text:'',
 	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
 	top:0,
 	right:0,
-	width:200,
+	width:200
 });
 v1.add(l1);
 v1.add(f1);
@@ -31,14 +31,14 @@ var v2 = Ti.UI.createView({
 var l2 = Ti.UI.createLabel({
 	text:'Last:',
 	top:0,
-	left:0,
+	left:0
 });
 var f2 = Ti.UI.createTextField({
 	text:'',
 	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
 	top:0,
 	right:0,
-	width:200,
+	width:200
 });
 v2.add(l2);
 v2.add(f2);
@@ -52,14 +52,14 @@ var v3 = Ti.UI.createView({
 var l3 = Ti.UI.createLabel({
 	text:'Street:',
 	top:0,
-	left:0,
+	left:0
 });
 var f3 = Ti.UI.createTextField({
 	text:'',
 	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
 	top:0,
 	right:0,
-	width:200,
+	width:200
 });
 v3.add(l3);
 v3.add(f3);
@@ -73,14 +73,14 @@ var v4 = Ti.UI.createView({
 var l4 = Ti.UI.createLabel({
 	text:'City:',
 	top:0,
-	left:0,
+	left:0
 });
 var f4 = Ti.UI.createTextField({
 	text:'',
 	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
 	top:0,
 	right:0,
-	width:200,
+	width:200
 });
 v4.add(l4);
 v4.add(f4);
@@ -94,14 +94,14 @@ var v5 = Ti.UI.createView({
 var l5 = Ti.UI.createLabel({
 	text:'State:',
 	top:0,
-	left:0,
+	left:0
 });
 var f5 = Ti.UI.createTextField({
 	text:'',
 	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
 	top:0,
 	right:0,
-	width:200,
+	width:200
 });
 v5.add(l5);
 v5.add(f5);
@@ -115,14 +115,14 @@ var v6 = Ti.UI.createView({
 var l6 = Ti.UI.createLabel({
 	text:'ZIP:',
 	top:0,
-	left:0,
+	left:0
 });
 var f6 = Ti.UI.createTextField({
 	text:'',
 	borderStyle:Titanium.UI.INPUT_BORDERSTYLE_ROUNDED,
 	top:0,
 	right:0,
-	width:200,
+	width:200
 });
 v6.add(l6);
 v6.add(f6);
diff --git a/KitchenSink/Resources/examples/contacts_db.js b/KitchenSink/Resources/examples/contacts_db.js
index aa04ce9..242e8eb 100644
--- a/KitchenSink/Resources/examples/contacts_db.js
+++ b/KitchenSink/Resources/examples/contacts_db.js
@@ -1,15 +1,6 @@
 var win = Ti.UI.currentWindow;
 
-var makeTable = function() {
-	var people = Titanium.Contacts.getAllPeople();
-	var rows = [];
-	for (var i = 0; i < people.length; i++) {
-		rows[i] = Ti.UI.createTableViewRow({
-			title:people[i].fullName,
-			person:people[i],
-			hasChild:true
-		});
-		rows[i].addEventListener('click', function(e) {
+var clickListener = function(e) {
 			var display = Ti.UI.createWindow({
 				backroundColor:'white',
 				title:e.row.person.fullName
@@ -25,17 +16,27 @@ var makeTable = function() {
 						top:top,
 						left:20,
 						height:'auto',
-						width:'auto',
+						width:'auto'
 					});
 					display.add(info);
 				}
 			}
-			
 			Titanium.UI.currentTab.open(display,{animated:true});
+};
+
+var makeTable = function() {
+	var people = Titanium.Contacts.getAllPeople();
+	var rows = [];
+	for (var i = 0; i < people.length; i++) {
+		rows[i] = Ti.UI.createTableViewRow({
+			title:people[i].fullName,
+			person:people[i],
+			hasChild:true
 		});
+		rows[i].addEventListener('click', clickListener);
 	}
 	return rows;
-}
+};
 
 var tableview = Ti.UI.createTableView({
 	data:makeTable()
diff --git a/KitchenSink/Resources/examples/contacts_groups.js b/KitchenSink/Resources/examples/contacts_groups.js
index d6a0b25..7c88f64 100644
--- a/KitchenSink/Resources/examples/contacts_groups.js
+++ b/KitchenSink/Resources/examples/contacts_groups.js
@@ -36,14 +36,14 @@ var updatePeople = function() {
 		people = [];
 	}
 	infoLabel.text = text;
-}
+};
 
 for (var i=0; i < groups.length; i++) {
 	data[i] = Ti.UI.createPickerRow({title:groups[i].name});
 }
 
 var groupPicker = Ti.UI.createPicker({
-	top:50,
+	top:50
 });
 groupPicker.addEventListener('change', function(e) {
 	selectedGroup = groups[e.rowIndex];
diff --git a/KitchenSink/Resources/examples/contacts_picker.js b/KitchenSink/Resources/examples/contacts_picker.js
index 7019dbf..577f6ea 100644
--- a/KitchenSink/Resources/examples/contacts_picker.js
+++ b/KitchenSink/Resources/examples/contacts_picker.js
@@ -1,5 +1,12 @@
 var win = Ti.UI.currentWindow;
 
+var info = Ti.UI.createLabel({
+	text:'',
+	bottom:70,
+	height:'auto',
+	width:'auto'
+});
+
 var values = {cancel:function() {info.text = 'Cancelled';}};
 var show = Ti.UI.createButton({
 	title:'Show picker',
@@ -11,13 +18,6 @@ show.addEventListener('click', function() {
 	Titanium.Contacts.showContacts(values);
 });
 
-var info = Ti.UI.createLabel({
-	text:'',
-	bottom:70,
-	height:'auto',
-	width:'auto'
-});
-
 var v1 = Ti.UI.createView({
 	top:20,
 	width:300,
@@ -26,7 +26,7 @@ var v1 = Ti.UI.createView({
 });
 var l1 = Ti.UI.createLabel({
 	text:'Animated:',
-	left:0,
+	left:0
 });
 var s1 = Ti.UI.createSwitch({
 	value:true,
@@ -34,12 +34,7 @@ var s1 = Ti.UI.createSwitch({
 	top:5
 });
 s1.addEventListener('change', function() {
-	if (s1.value) {
-		values.animated = true;
-	}
-	else {
-		values.animated = false;
-	}
+	values.animated = s1.value;
 });
 v1.add(l1);
 v1.add(s1);
@@ -52,7 +47,7 @@ var v2 = Ti.UI.createView({
 });
 var l2 = Ti.UI.createLabel({
 	text:'Address only:',
-	left:0,
+	left:0
 });
 var s2 = Ti.UI.createSwitch({
 	value:false,
@@ -85,11 +80,17 @@ var s3 = Ti.UI.createSwitch({
 	right:10,
 	top:5
 });
+var s4 = Ti.UI.createSwitch({
+	value:false,
+	right:10,
+	top:5
+});
+
 s3.addEventListener('change', function() {
 	if (s3.value) {
 		values.selectedPerson = function(e) {
 			info.text = e.person.fullName;
-		}
+		};
 		if (s4.value) {
 			s4.value = false;
 		}
@@ -111,22 +112,17 @@ var l4 = Ti.UI.createLabel({
 	text:'Stop on property:',
 	left:0
 });
-var s4 = Ti.UI.createSwitch({
-	value:false,
-	right:10,
-	top:5
-});
 s4.addEventListener('change', function() {
 	if (s4.value) {
 		values.selectedProperty = function(e) {
 			if (e.property == 'address') {
 				Ti.API.log(e.value);
-				info.text = e.value.Street
+				info.text = e.value.Street;
 			}
 			else {
 				info.text = e.value;
 			}
-		}
+		};
 		if (s3.value) {
 			s3.value = false;
 		}
diff --git a/KitchenSink/Resources/examples/dashboard.js b/KitchenSink/Resources/examples/dashboard.js
index 0df062a..4c9f598 100644
--- a/KitchenSink/Resources/examples/dashboard.js
+++ b/KitchenSink/Resources/examples/dashboard.js
@@ -12,7 +12,10 @@ for (var x=0;x<2;x++)
 			selectedImage:'../images/dashboard/'+labels[c]+'_on.png',
 			label:labels[c]
 		});
-		if (c==0) item.badge = 10;
+		if (c==0)
+		{
+			item.badge = 10;
+		}
 		data.push(item);
 	}
 }
@@ -51,7 +54,7 @@ dashboard.addEventListener('commit',function()
 	Ti.API.info('data ' + dashboard.data);
 	for (var i=0;i<dashboard.data.length;i++)
 	{
-		Ti.API.info('label ' + dashboard.data[i].label)
+		Ti.API.info('label ' + dashboard.data[i].label);
 	}
 });
 
diff --git a/KitchenSink/Resources/examples/facebook_properties.js b/KitchenSink/Resources/examples/facebook_properties.js
index 54ec73f..1c79c02 100644
--- a/KitchenSink/Resources/examples/facebook_properties.js
+++ b/KitchenSink/Resources/examples/facebook_properties.js
@@ -54,7 +54,7 @@ b1.addEventListener('click', function()
 {
 	Ti.API.info("click called, logged in = "+Titanium.Facebook.isLoggedIn());
 	
-	if (Titanium.Facebook.isLoggedIn()==false)
+	if (!Titanium.Facebook.isLoggedIn())
 	{
 		Ti.UI.createAlertDialog({title:'Facebook', message:'Login before accessing properties'}).show();
 		return;
@@ -64,7 +64,7 @@ b1.addEventListener('click', function()
 	Ti.API.info('permissions = ' + Ti.Facebook.permissions);
 	if (Ti.Facebook.permissions!=null)
 	{
-		for (v in Ti.Facebook.permissions)
+		for (var v in Ti.Facebook.permissions)
 		{
 			if (v!=null)
 			{
diff --git a/KitchenSink/Resources/examples/facebook_query.js b/KitchenSink/Resources/examples/facebook_query.js
index a3d3420..00f47d0 100644
--- a/KitchenSink/Resources/examples/facebook_query.js
+++ b/KitchenSink/Resources/examples/facebook_query.js
@@ -40,7 +40,7 @@ function runQuery()
 	var query = "SELECT uid, name, pic_square, status FROM user ";
 	query +=  "where uid IN (SELECT uid2 FROM friend WHERE uid1 = " + Titanium.Facebook.getUserId() + ")"; 
 	query += "order by last_name";
-	Ti.API.info('user id ' + Titanium.Facebook.getUserId())
+	Ti.API.info('user id ' + Titanium.Facebook.getUserId());
 	Titanium.Facebook.query(query, function(r)
 	{
 		var data = [];
@@ -106,11 +106,11 @@ function runQuery()
 		win.open({modal:true});
 		b1.title = 'Run Query';
 	});	
-};
+}
 
 b1.addEventListener('click', function()
 {
-	if (Titanium.Facebook.isLoggedIn()==false)
+	if (!Titanium.Facebook.isLoggedIn())
 	{
 		Ti.UI.createAlertDialog({title:'Facebook', message:'Login before running query'}).show();
 		return;
diff --git a/KitchenSink/Resources/examples/filesystem.js b/KitchenSink/Resources/examples/filesystem.js
index 5dbbfc2..2b5a8d5 100644
--- a/KitchenSink/Resources/examples/filesystem.js
+++ b/KitchenSink/Resources/examples/filesystem.js
@@ -37,7 +37,7 @@ Ti.API.info('spaceAvailable = ' + dir.spaceAvailable());
 
 var newDir = Titanium.Filesystem.getFile(Titanium.Filesystem.applicationDataDirectory,'mydir');
 newDir.createDirectory();
-Ti.API.info('newdir ' + newDir)
+Ti.API.info('newdir ' + newDir);
 var newFile = Titanium.Filesystem.getFile(newDir.nativePath,'newfile.txt');
 newFile.write(f.read());
 Ti.API.info('directoryListing for newDir = ' + newDir.getDirectoryListing());
@@ -49,8 +49,8 @@ newDir.deleteDirectory();
 Ti.API.info('directoryListing for newDir after deleteDirectory = ' + newDir.getDirectoryListing());
 
 if (Ti.Platform.name == 'android') {
-	var dir = Titanium.Filesystem.getFile(Titanium.Filesystem.externalStorageDirectory);
-	Ti.API.info('external directoryListing = ' + dir.getParent().getDirectoryListing());
+	var aDir = Titanium.Filesystem.getFile(Titanium.Filesystem.externalStorageDirectory);
+	Ti.API.info('external directoryListing = ' + aDir.getParent().getDirectoryListing());
 }
 	
 var l = Titanium.UI.createLabel({text:'Check Log for details', width:300, height:'auto', textAlign:'center'});
@@ -58,6 +58,6 @@ win.add(l);
 
 // test to make sure we can still access compiled JS files
 var jsfile = Titanium.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory,'app.js');
-Ti.API.info("app.js exists? " + f.exists())
-Ti.API.info("app.js size? " + f.size)
+Ti.API.info("app.js exists? " + f.exists());
+Ti.API.info("app.js size? " + f.size);
 
diff --git a/KitchenSink/Resources/examples/geolocation.js b/KitchenSink/Resources/examples/geolocation.js
index ad3bf55..fecec42 100644
--- a/KitchenSink/Resources/examples/geolocation.js
+++ b/KitchenSink/Resources/examples/geolocation.js
@@ -192,7 +192,7 @@ win.add(reverseGeo);
 //
 //  SHOW CUSTOM ALERT IF DEVICE HAS GEO TURNED OFF
 //
-if (Titanium.Geolocation.locationServicesEnabled==false)
+if (!Titanium.Geolocation.locationServicesEnabled)
 {
 	Titanium.UI.createAlertDialog({title:'Kitchen Sink', message:'Your device has geo turned off - turn it on.'}).show();
 }
@@ -301,7 +301,7 @@ else
 		if (e.error)
 		{
 			currentLocation.text = 'error: ' + JSON.stringify(e.error);
-			alert('error ' + JSON.stringify(e.error))
+			alert('error ' + JSON.stringify(e.error));
 			return;
 		}
 
@@ -313,7 +313,7 @@ else
 		var speed = e.coords.speed;
 		var timestamp = e.coords.timestamp;
 		var altitudeAccuracy = e.coords.altitudeAccuracy;
-		Ti.API.info('speed ' + speed)
+		Ti.API.info('speed ' + speed);
 		currentLocation.text = 'long:' + longitude + ' lat: ' + latitude;
 		
 		Titanium.API.info('geo - current location: ' + new Date(timestamp) + ' long ' + longitude + ' lat ' + latitude + ' accuracy ' + accuracy);
@@ -380,7 +380,7 @@ var addr = "2065 Hamilton Avenue San Jose California 95125";
 
 Titanium.Geolocation.forwardGeocoder(addr,function(evt)
 {
-	Ti.API.info('in forward ')
+	Ti.API.info('in forward ');
 	forwardGeo.text = "lat:"+evt.latitude+", long:"+evt.longitude;
 	Titanium.Geolocation.reverseGeocoder(evt.latitude,evt.longitude,function(evt)
 	{
diff --git a/KitchenSink/Resources/examples/horizontal_layout.js b/KitchenSink/Resources/examples/horizontal_layout.js
index 96356e1..6ec35c5 100644
--- a/KitchenSink/Resources/examples/horizontal_layout.js
+++ b/KitchenSink/Resources/examples/horizontal_layout.js
@@ -11,7 +11,7 @@ var l1 = Ti.UI.createLabel({
 	text:'I am the first label',
 	left:5,
 	width:'auto',
-	height:20,
+	height:20
 });
 
 view.add(l1);
diff --git a/KitchenSink/Resources/examples/json.js b/KitchenSink/Resources/examples/json.js
index 1032306..fefb2a8 100755
--- a/KitchenSink/Resources/examples/json.js
+++ b/KitchenSink/Resources/examples/json.js
@@ -8,8 +8,8 @@ function testRow(name, str, testfn) {
 
 testRow("nested object", "{\"a\": {\"b\": 1}}", function(obj) { return obj.a.b == 1; });
 testRow("array", "[1, 2, 3]", function(obj) { return obj[0] == 1 && obj[1] == 2 && obj[2] == 3; });
-testRow("integer", "123", function(obj) { return obj==123 });
-testRow("double", "123.456", function(obj) { return obj == 123.456 });
+testRow("integer", "123", function(obj) { return obj==123; });
+testRow("double", "123.456", function(obj) { return obj == 123.456; });
 
 var testTable = Titanium.UI.createTableView({
 	top:0, left:0, bottom:0, right:0,
diff --git a/KitchenSink/Resources/examples/label.js b/KitchenSink/Resources/examples/label.js
index cbc2c88..bc7299d 100644
--- a/KitchenSink/Resources/examples/label.js
+++ b/KitchenSink/Resources/examples/label.js
@@ -55,6 +55,14 @@ var b2 = Titanium.UI.createButton({
 	width:200,
 	top:280
 });
+var size = Ti.UI.createLabel({
+	height:30,
+	width:300,
+	font:{fontSize:14},
+	color:'#777',
+	bottom:10
+});
+
 var changed=false;
 b2.addEventListener('click', function()
 {
@@ -64,14 +72,14 @@ b2.addEventListener('click', function()
 		l2.shadowColor = '#336699';
 		l2.font = {fontSize:20};
 		changed=true;
-		size.text = l2.size.height + ' ' + l2.size.width
+		size.text = l2.size.height + ' ' + l2.size.width;
 	}
 	else
 	{
 		l2.color = '#900';
 		l2.shadowColor = '#aaa';
 		l2.font = {fontSize:48};
-		size.text = l2.size.height + ' ' + l2.size.width
+		size.text = l2.size.height + ' ' + l2.size.width;
 		changed=false;
 	}
 });
@@ -100,12 +108,4 @@ b3.addEventListener('click', function()
 	}
 });
 win.add(b3);
-
-var size = Ti.UI.createLabel({
-	height:30,
-	width:300,
-	font:{fontSize:14},
-	color:'#777',
-	bottom:10
-});
-win.add(size)
\ No newline at end of file
+win.add(size);
\ No newline at end of file
diff --git a/KitchenSink/Resources/examples/map_view.js b/KitchenSink/Resources/examples/map_view.js
index ec8dcd1..e949450 100644
--- a/KitchenSink/Resources/examples/map_view.js
+++ b/KitchenSink/Resources/examples/map_view.js
@@ -144,7 +144,7 @@ sv.addEventListener('click', function()
 mapview.addEventListener('complete', function()
 {
 	Ti.API.info("map has completed loaded region");
-})
+});
 
 
 var flexSpace = Titanium.UI.createButton({
@@ -267,7 +267,7 @@ mapview.addEventListener('click',function(evt)
 	// custom annotation attribute
 	var myid = (evt.annotation)?evt.annotation.myid:-1;
 
-	Ti.API.info('mapview click clicksource = ' + clickSource)
+	Ti.API.info('mapview click clicksource = ' + clickSource);
 	// use custom event attribute to determine if atlanta annotation was clicked
 	if (myid == 3 && evt.clicksource == 'rightButton')
 	{
@@ -282,7 +282,7 @@ mapview.addEventListener('click',function(evt)
 	}
 	if (myid == 2)
 	{
-		if(annotationAdded==false)
+		if(!annotationAdded)
 		{
 			mapview.addAnnotation(mountainView);
 			annotationAdded=true;
@@ -301,16 +301,13 @@ atlanta.addEventListener('click', function(evt)
 	// get event properties
 	var annotation = evt.source;
 	var clicksource = evt.clicksource;
-	Ti.API.info('atlanta annotation click clicksource = ' + clicksource)
+	Ti.API.info('atlanta annotation click clicksource = ' + clicksource);
 });
 
 apple.addEventListener('click', function(evt)
 {
-
 	// get event properties
 	var annotation = evt.source;
 	var clicksource = evt.clicksource;
-	Ti.API.info('apple annotation click clicksource = ' + clicksource)
-
-
+	Ti.API.info('apple annotation click clicksource = ' + clicksource);
 });
diff --git a/KitchenSink/Resources/examples/map_view2.js b/KitchenSink/Resources/examples/map_view2.js
index 6a5587a..a0da77e 100644
--- a/KitchenSink/Resources/examples/map_view2.js
+++ b/KitchenSink/Resources/examples/map_view2.js
@@ -65,5 +65,5 @@ annotation.addEventListener('click',function()
 mapview.addEventListener('click',function(evt)
 {
 	var clickSource = evt.clicksource;
-	Ti.API.info('mapview click clicksource = ' + clickSource)
+	Ti.API.info('mapview click clicksource = ' + clickSource);
 });
\ No newline at end of file
diff --git a/KitchenSink/Resources/examples/music.js b/KitchenSink/Resources/examples/music.js
index a3f9b92..f6db9f7 100644
--- a/KitchenSink/Resources/examples/music.js
+++ b/KitchenSink/Resources/examples/music.js
@@ -23,7 +23,7 @@ var timeBar = Ti.UI.createProgressBar({
 	height:40,
 	top:240,
 	color:'#888',
-	style:Titanium.UI.iPhone.ProgressBarStyle.PLAIN,
+	style:Titanium.UI.iPhone.ProgressBarStyle.PLAIN
 });
 win.add(timeBar);
 
@@ -109,7 +109,7 @@ var b2 = Ti.UI.createButton({
 	title:'Pause',
 	width:80,
 	height:40,
-	top:20,
+	top:20
 });
 b2.addEventListener('click', function() {
 	player.pause();
@@ -179,7 +179,7 @@ var b8 = Ti.UI.createButton({
 	title:'Skip |>',
 	width:80,
 	height:40,
-	top:140,
+	top:140
 });
 b8.addEventListener('click', function() {
 	player.skipToBeginning();
@@ -201,7 +201,7 @@ win.add(b9);
 // MODAL SETTINGS BIT...
 var settingsWindow = Ti.UI.createWindow({
 	backgroundColor:'#fff',
-	title:'Picker settings',
+	title:'Picker settings'
 });
 
 var settings = {
@@ -307,6 +307,26 @@ v3.add(s3);
 settingsWindow.add(v3);
 
 var switches = [];
+
+var mediaTypeListener = function(e) {
+  var type = e.source.type;
+  var index = e.source.index;
+
+  Ti.API.log('Setting media type: '+type+' to '+e.source.value);
+
+  if (e.source.value) {
+    settings.mediaTypes |= type;
+  }
+  else {
+    settings.mediaTypes ^= type;
+    for (var i=0; i < 5; i++) {
+      if (index != i && switches[i].value) {
+        settings.mediaTypes |= switches[i].type;
+      }
+    }
+  }
+};
+
 for (var i=0; i < 5; i++) {
 	var baseTop = 115;
 	var v = Ti.UI.createView({
@@ -357,24 +377,7 @@ for (var i=0; i < 5; i++) {
 		s.value = true;
 	}
 	
-	s.addEventListener('change', function(e) {
-		var type = e.source.type;
-		var index = e.source.index;
-		
-		Ti.API.log('Setting media type: '+type+' to '+e.source.value);
-		
-		if (e.source.value) {
-			settings.mediaTypes |= type;
-		}
-		else {
-			settings.mediaTypes ^= type;
-			for (var i=0; i < 5; i++) {
-				if (index != i && switches[i].value) {
-					settings.mediaTypes |= switches[i].type;
-				}
-			}
-		}
-	});
+	s.addEventListener('change', mediaTypeListener);
 	switches.push(s);
 	
 	v.add(l);
@@ -397,7 +400,7 @@ var b10 = Ti.UI.createButton({
 	width:120,
 	height:40,
 	bottom:20,
-	left:20,
+	left:20
 });
 b10.addEventListener('click', function() {
 	settingsWindow.open({modal:true});
diff --git a/KitchenSink/Resources/examples/navgroup.js b/KitchenSink/Resources/examples/navgroup.js
index f33638f..dc7e349 100644
--- a/KitchenSink/Resources/examples/navgroup.js
+++ b/KitchenSink/Resources/examples/navgroup.js
@@ -2,23 +2,25 @@
 // since we're embedding a navgroup inside the modal
 // window which also has a nav bar, we ask him to hide it
 
-var open = Ti.UI.createButton({
+var openGroup = Ti.UI.createButton({
 	title:'Open nav group',
 	top:150,
 	width:200,
 	height:40
 });
-open.addEventListener('click', function() {
-	modal.open({modal:true});
-});
-Ti.UI.currentWindow.add(open);
 
 var modal = Ti.UI.createWindow({
 	navBarHidden:true
 });
 
+openGroup.addEventListener('click', function() {
+	modal.open({modal:true});
+});
+Ti.UI.currentWindow.add(openGroup);
+
+
 var modalWin = Ti.UI.createWindow({
-	backgroundColor:"red",
+	backgroundColor:"red"
 });
 
 var nav = Ti.UI.iPhone.createNavigationGroup({
@@ -59,17 +61,17 @@ table.addEventListener('click',function(e)
 	{
 		Ti.API.info("nav group window -- blur event");
 	});
-	var b = Ti.UI.createButton({
+	var close = Ti.UI.createButton({
 		title:"Close Nav",
 		width:120,
 		height:40
 	});
-	b.addEventListener('click',function()
+	close.addEventListener('click',function()
 	{
 		nav.close();
 		modal.close();
 	});
-	w.add(b);
+	w.add(close);
 	nav.open(w);
 });
 
diff --git a/KitchenSink/Resources/examples/orientation.js b/KitchenSink/Resources/examples/orientation.js
index e50000c..2a92850 100644
--- a/KitchenSink/Resources/examples/orientation.js
+++ b/KitchenSink/Resources/examples/orientation.js
@@ -31,33 +31,19 @@ function getOrientation(o)
 	switch (o)
 	{
 		case Titanium.UI.PORTRAIT:
-		{
 			return 'portrait';
-		}
 		case Titanium.UI.UPSIDE_PORTRAIT:
-		{
 			return 'upside portrait';
-		}
 		case Titanium.UI.LANDSCAPE_LEFT:
-		{
 			return 'landscape left';
-		}
 		case Titanium.UI.LANDSCAPE_RIGHT:
-		{
 			return 'landscape right';
-		}
 		case Titanium.UI.FACE_UP:
-		{
 			return 'face up';
-		}
 		case Titanium.UI.FACE_DOWN:
-		{
 			return 'face down';
-		}
 		case Titanium.UI.UNKNOWN:
-		{
 			return 'unknown';
-		}
 	}
 }
 
diff --git a/KitchenSink/Resources/examples/photo_gallery.js b/KitchenSink/Resources/examples/photo_gallery.js
index 679d4fe..db4c7d9 100644
--- a/KitchenSink/Resources/examples/photo_gallery.js
+++ b/KitchenSink/Resources/examples/photo_gallery.js
@@ -52,5 +52,5 @@ Titanium.Media.openPhotoGallery({
 	allowEditing:true,
 	popoverView:popoverView,
 	arrowDirection:arrowDirection,
-	mediaTypes:[Ti.Media.MEDIA_TYPE_VIDEO,Ti.Media.MEDIA_TYPE_PHOTO],
+	mediaTypes:[Ti.Media.MEDIA_TYPE_VIDEO,Ti.Media.MEDIA_TYPE_PHOTO]
 });
diff --git a/KitchenSink/Resources/examples/picker.js b/KitchenSink/Resources/examples/picker.js
index 49bdb78..1790fda 100644
--- a/KitchenSink/Resources/examples/picker.js
+++ b/KitchenSink/Resources/examples/picker.js
@@ -16,7 +16,7 @@ var data = [
 	{title:'Date Picker', hasChild:true, test:'../examples/picker_date1.js'},
 	{title:'Time Picker', hasChild:true, test:'../examples/picker_date2.js'},
 	{title:'Date/Time Picker', hasChild:true, test:'../examples/picker_date3.js'},
-	{title:'Countdown Picker', hasChild:true, test:'../examples/picker_date4.js'},
+	{title:'Countdown Picker', hasChild:true, test:'../examples/picker_date4.js'}
 ];
 
 // create table view
